CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2021 开发者帮助

AddCylinder 方法 (ActiveX)

2024-5-18 18:32| 发布者: admin| 查看: 93| 评论: 0|原作者: admin|来自: AutoCAD

AddCylinder 方法 (ActiveX)

创建一个 3D 实体圆柱体,其底位于 WCS 的 XY 平面上。

支持的平台:仅限 Windows

签名

VBA:

RetVal = object.AddCylinder(Center, Radius, Height)
对象

类型:模型空间纸空间

此方法应用到的对象。

中心

访问:仅输入

类型:变体(双打的三元素阵列)

指定边界框中心的 3D WCS 坐标。

半径

访问:仅输入

类型:

圆柱体半径。必须为正数。

高度

访问:仅输入

类型:

气缸高度。必须为正数。

返回值 (RetVal)

类型: 3DSolid

作为新创建的圆柱体的对象。3DSolid

言论

没有其他评论。

例子

VBA:

Sub Example_AddCylinder()
    ' This example creates a cylinder in model space.
    
    Dim cylinderObj As Acad3DSolid
    Dim radius As Double
    Dim center(0 To 2) As Double
    Dim height As Double
    
    ' Define the cylinder
    center(0) = 0#: center(1) = 0#: center(2) = 0#
    radius = 5#
    height = 20#
    
    ' Create the Cylinder (3DSolid) object in model space
    Set cylinderObj = ThisDrawing.ModelSpace.AddCylinder(center, radius, height)
    
    ' Change the viewing direction of the viewport to better see the cylinder
    Dim NewDirection(0 To 2) As Double
    NewDirection(0) = -1: NewDirection(1) = -1: NewDirection(2) = 1
    ThisDrawing.ActiveViewport.direction = NewDirection
    ThisDrawing.ActiveViewport = ThisDrawing.ActiveViewport
    ZoomAll
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_AddCylinder()
    ;; This example creates a cylinder in model space.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the cylinder
    (setq center (vlax-3d-point 0 0 0)
          cylRadius 5
	         cylHeight 20)
    
    ;; Create the Cylinder (3DSolid) object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq cylinderObj (vla-AddCylinder modelSpace center cylRadius cylHeight))
    
    ;; Change the viewing direction of the viewport to better see the cylinder
    (setq NewDirection (vlax-3d-point -1 -1 1))
    (setq activeViewport (vla-get-ActiveViewport doc))
    (vla-put-Direction activeViewport NewDirection)
    (vla-put-ActiveViewport doc activeViewport)
    (vla-ZoomAll acadObj)
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1   苏公网安备32011402011833)

GMT+8, 2025-1-19 06:40

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部